Create a return
curl --request POST \
--url https://app.supercycle.com/api/v1/return_orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"rentalId": 123
}
],
"returnMethodAttributes": {
"trackingUrl": "<string>",
"addressShopifyId": 123,
"collectionDate": "2023-12-25"
},
"quantity": 99,
"serials": [
"<string>"
]
}
'import requests
url = "https://app.supercycle.com/api/v1/return_orders"
payload = {
"data": [{ "rentalId": 123 }],
"returnMethodAttributes": {
"trackingUrl": "<string>",
"addressShopifyId": 123,
"collectionDate": "2023-12-25"
},
"quantity": 99,
"serials": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [{rentalId: 123}],
returnMethodAttributes: {trackingUrl: '<string>', addressShopifyId: 123, collectionDate: '2023-12-25'},
quantity: 99,
serials: ['<string>']
})
};
fetch('https://app.supercycle.com/api/v1/return_orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
"Invalid request body"
],
"returnOrders": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"shopifyId": 123,
"defaultAddress": {
"customerId": 123,
"default": true,
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"zip": "<string>",
"phone": "<string>",
"name": "<string>",
"provinceCode": "<string>",
"countryCode": "<string>",
"countryName": "<string>"
},
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"returnLines": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"rentalId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"item": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"activeRentalId": 123,
"productTitle": "<string>",
"serial": "<string>",
"sequentialId": 123,
"shopifyVariantId": 123,
"tags": [
"<string>"
],
"variantTitle": "<string>",
"activeReturnId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"conditionId": 123,
"imageUrl": "<string>",
"location": {
"shopifyId": 123,
"name": "<string>"
},
"pickLocation": "<string>",
"acquisitionCostCents": 123,
"roiCents": 123,
"shopifyProductId": 123,
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"customFields": [
{
"id": 123,
"ownerId": 123,
"definitionId": 123,
"key": "<string>",
"value": "<string>",
"valueJson": "<unknown>"
}
]
},
"requestedAt": "2023-11-07T05:31:56Z",
"restockedAt": "2023-11-07T05:31:56Z"
}
],
"sequentialId": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"returnMethod": {
"trackingUrl": "<string>",
"addressShopifyId": 123,
"collectionDate": "2023-12-25"
},
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"tags": [
"<string>"
]
}
]
}{
"error": "Rate limit exceeded. Retry after 42 seconds."
}ReturnOrders
Create a return
Create a return by items. Return line statuses and conditions can be specified. If an item is in an existing return and has not active rentals, the endpoint updates the return line. If the item has multiple active rentals, the rental ID must be specified (return rental IDs with error).
POST
/
return_orders
Create a return
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Return method attributes for creating return with specific method
Show child attributes
Show child attributes
Number of items to create.
Required range:
x <= 100Serials will be picked from the list and assigned to items.
Available options:
available, unavailable, retired, sold Was this page helpful?
⌘I